=== debian/rules ===
#! /usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

REL_NO	:= 8
GCC_VER := 4.6.0

# minimum required gcc-X.Y versions
REQV		:= (>= $(GCC_VER)-$(REL_NO))

CV_CPP		:= $(GCC_VER)-$(REL_NO)
CV_GCC		:= $(GCC_VER)-$(REL_NO)
CV_GPP		:= $(GCC_VER)-$(REL_NO)
CV_GOBJC	:= $(GCC_VER)-$(REL_NO)
CV_GOBJCXX	:= $(GCC_VER)-$(REL_NO)
CV_GFORT	:= $(GCC_VER)-$(REL_NO)

REQV_CPP	= $(REQV)
REQV_GCC	= $(REQV)
REQV_GPP	= $(REQV)
REQV_GOBJC	= $(REQV)
REQV_GOBJCXX	= $(REQV)
REQV_GFORT	= $(REQV)

EPOCH=4
distribution := $(shell lsb_release -is)
all_packages    := g++-arm-linux-gnueabihf gfortran-arm-linux-gnueabihf gobjc-arm-linux-gnueabihf gobjc++-arm-linux-gnueabihf
no_packages	:=

packages := $(filter-out $(no_packages), $(all_packages))

# derived version number (without release)
V_CPP	:= $(shell echo $(CV_CPP)   | sed 's/-[^-]*$$//')
V_GCC	:= $(shell echo $(CV_GCC)   | sed 's/-[^-]*$$//')
V_GPP	:= $(shell echo $(CV_GPP)   | sed 's/-[^-]*$$//')
V_GOBJC	:= $(shell echo $(CV_GOBJC) | sed 's/-[^-]*$$//')
V_GOBJCXX	:= $(shell echo $(CV_GOBJCXX) | sed 's/-[^-]*$$//')
V_GFORT	:= $(shell echo $(CV_GFORT) | sed 's/-[^-]*$$//')

# number for the package name
PV_CPP	:= $(shell echo $(V_CPP)   | awk -F. '{printf "%d.%d", $$1, $$2}')
PV_GCC	:= $(shell echo $(V_GCC)   | awk -F. '{printf "%d.%d", $$1, $$2}')
PV_GPP	:= $(shell echo $(V_GPP)   | awk -F. '{printf "%d.%d", $$1, $$2}')
PV_GOBJC:= $(shell echo $(V_GOBJC) | awk -F. '{printf "%d.%d", $$1, $$2}')
PV_GOBJCXX:= $(shell echo $(V_GOBJCXX) | awk -F. '{printf "%d.%d", $$1, $$2}')
PV_GFORT:= $(shell echo $(V_GFORT) | awk -F. '{printf "%d.%d", $$1, $$2}')

substvars:
	( \
	  echo 'version:cpp=$(EPOCH):$(CV_CPP)'; \
	  echo 'version:gcc=$(EPOCH):$(CV_GCC)'; \
	  echo 'version:gpp=$(EPOCH):$(CV_GPP)'; \
	  echo 'version:gobjc=$(EPOCH):$(CV_GOBJC)'; \
	  echo 'version:gfort=$(EPOCH):$(CV_GFORT)'; \
	  echo 'pv:cpp=$(PV_CPP)'; \
	  echo 'pv:gcc=$(PV_GCC)'; \
	  echo 'pv:gpp=$(PV_GPP)'; \
	  echo 'pv:gobjc=$(PV_GOBJC)'; \
	  echo 'pv:gobjcxx=$(PV_GOBJCXX)'; \
	  echo 'pv:gfort=$(PV_GFORT)'; \
	  echo 'reqv:cpp=$(REQV_CPP)'; \
	  echo 'reqv:gcc=$(REQV_GCC)'; \
	  echo 'reqv:gpp=$(REQV_GPP)'; \
	  echo 'reqv:gobjc=$(REQV_GOBJC)'; \
	  echo 'reqv:gobjcxx=$(REQV_GOBJCXX)'; \
	  echo 'reqv:gfort=$(REQV_GFORT)'; \
	) > debian/substvars.local

build: build-stamp
build-stamp:
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f *-stamp
	rm -rf build
	rm -f debian/control.tmp*
	rm -f debian/substvars.local
	dh_clean

install: build substvars
	dh_testdir
	dh_testroot
	dh_clean -k

	for p in `dh_listpackages`; do \
	  cp -l debian/substvars.local debian/$$p.substvars; \
	done

nopkgs :=-s $(foreach p, $(no_packages),-N$(p))

binary-indep:
	:

binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs -pcpp-arm-linux-gnueabihf
	for p in `dh_listpackages $(nopkgs) -Ncpp-arm-linux-gnueabihf`; do \
	  echo ln -sf cpp-arm-linux-gnueabihf debian/$$p/usr/share/doc/$$p; \
	  mkdir -p debian/$$p/usr/share/doc; \
	  rm -f debian/$$p/usr/share/doc/$$p; \
	  ln -sf cpp-arm-linux-gnueabihf debian/$$p/usr/share/doc/$$p; \
	done

	dh_link -pcpp-arm-linux-gnueabihf \
          /usr/bin/arm-linux-gnueabihf-cpp-$(PV_CPP) /usr/bin/arm-linux-gnueabihf-cpp \
          /usr/share/man/man1/arm-linux-gnueabihf-cpp-$(PV_CPP).1.gz /usr/share/man/man1/arm-linux-gnueabihf-cpp.1.gz

	dh_link -pgcc-arm-linux-gnueabihf \
          /usr/bin/arm-linux-gnueabihf-gcc-$(PV_GCC) /usr/bin/arm-linux-gnueabihf-gcc \
          /usr/bin/arm-linux-gnueabihf-gcov-$(PV_GCC) /usr/bin/arm-linux-gnueabihf-gcov \
          /usr/share/man/man1/arm-linux-gnueabihf-gcc-$(PV_GCC).1.gz /usr/share/man/man1/arm-linux-gnueabihf-gcc.1.gz \
          /usr/share/man/man1/arm-linux-gnueabihf-gcov-$(PV_GCC).1.gz /usr/share/man/man1/arm-linux-gnueabihf-gcov.1.gz 

	dh_link -pg++-arm-linux-gnueabihf \
          /usr/bin/arm-linux-gnueabihf-g++-$(PV_GPP) /usr/bin/arm-linux-gnueabihf-g++ \
          /usr/share/man/man1/arm-linux-gnueabihf-g++-$(PV_GPP).1.gz /usr/share/man/man1/arm-linux-gnueabihf-g++.1.gz \

	dh_link -pgfortran-arm-linux-gnueabihf \
          /usr/bin/arm-linux-gnueabihf-gfortran-$(PV_GFORT) /usr/bin/arm-linux-gnueabihf-gfortran \
          /usr/share/man/man1/arm-linux-gnueabihf-gfortran-$(PV_GFORT).1.gz /usr/share/man/man1/arm-linux-gnueabihf-gfortran.1.gz 

	dh_installchangelogs -pcpp-arm-linux-gnueabihf
	mv debian/cpp-arm-linux-gnueabihf/usr/share/doc/cpp-arm-linux-gnueabihf/changelog \
		debian/cpp-arm-linux-gnueabihf/usr/share/doc/cpp-arm-linux-gnueabihf/changelog.Debian
	dh_compress -s $(nopkgs)
	dh_fixperms -s $(nopkgs)
	dh_installdeb -s $(nopkgs)
	dh_gencontrol -pcpp-arm-linux-gnueabihf     -u-v$(EPOCH):$(CV_CPP)
	dh_gencontrol -pgcc-arm-linux-gnueabihf     -u-v$(EPOCH):$(CV_GCC)
ifneq (,$(filter g++-arm-linux-gnueabihf, $(packages)))
	dh_gencontrol -pg++-arm-linux-gnueabihf     -u-v$(EPOCH):$(CV_GPP)
endif
ifneq (,$(filter gobjc-arm-linux-gnueabihf, $(packages)))
	dh_gencontrol -pgobjc-arm-linux-gnueabihf   -u-v$(EPOCH):$(CV_GOBJC)
endif
ifneq (,$(filter gobjc++-arm-linux-gnueabihf, $(packages)))
	dh_gencontrol -pgobjc++-arm-linux-gnueabihf   -u-v$(EPOCH):$(CV_GOBJCXX)
endif
ifneq (,$(filter gfortran-arm-linux-gnueabihf, $(packages)))
	dh_gencontrol -pgfortran-arm-linux-gnueabihf     -u-v$(EPOCH):$(CV_GFORT)
endif
	dh_md5sums -s $(nopkgs)
	dh_builddeb -s $(nopkgs)

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
