=== debian/control ===
Source: gcc-defaults-armhf-cross
Section: devel
Priority: standard
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>
Standards-Version: 3.9.1
Build-Depends: debhelper (>= 5), dpkg-dev (>= 1.13.9), lsb-release
XS-Python-Version: all

Package: cpp-arm-linux-gnueabihf
Priority: optional
Architecture: amd64 i386
Section: interpreters
Depends: cpp-${pv:cpp}-arm-linux-gnueabihf ${reqv:cpp}, ${misc:Depends}
Conflicts: cpp-4.4-arm-linux-gnueabihf (<= 4.4.5-15~), cpp-4.5-arm-linux-gnueabihf (<= 4.5.2-8~)
Suggests: cpp-doc
Description: GNU C preprocessor (cpp) for armel architecture
 The GNU C preprocessor is a macro processor that is used automatically
 by the GNU C compiler to transform programs before actual compilation.
 .
 This package has been separated from gcc for the benefit of those who
 require the preprocessor but not the cross-compiler for armel architecture.
 .
 This is a dependency package providing the default GNU C preprocessor for
 the armel architecture.

Package: g++-arm-linux-gnueabihf
Priority: optional
Architecture: amd64 i386
Depends: cpp-arm-linux-gnueabihf (>= ${version:cpp}), gcc-arm-linux-gnueabihf (>= ${version:cpp}), g++-${pv:gpp}-arm-linux-gnueabihf ${reqv:gpp}, gcc-${pv:gpp}-arm-linux-gnueabihf ${reqv:gpp}, ${misc:Depends}
Conflicts: g++-4.4-arm-linux-gnueabihf (<= 4.4.5-15~), g++-4.5-arm-linux-gnueabihf (<= 4.5.2-8~)
Description: GNU C++ compiler for armel architecture
 This is the GNU C++ compiler, a fairly portable optimizing compiler for C++.
 .
 This is a dependency package providing the default GNU C++ cross-compiler for
 the armel architecture.

Package: gobjc-arm-linux-gnueabihf
Priority: optional
Architecture: amd64 i386
Depends: cpp-arm-linux-gnueabihf (>= ${version:cpp}), gcc-arm-linux-gnueabihf (>= ${version:cpp}), gobjc-${pv:gobjc}-arm-linux-gnueabihf ${reqv:gobjc}, ${misc:Depends}
Conflicts: gobjc-4.4-arm-linux-gnueabihf (<= 4.4.5-15~), gobjc-4.5-arm-linux-gnueabihf (<= 4.5.2-8~)
Description: GNU Objective-C compiler for armel architecture
 This is the GNU Objective-C compiler, which compiles Objective-C on platforms
 supported by the gcc compiler. It uses the gcc backend to generate optimized
 code.
 .
 This is a dependency package providing the default GNU Objective-C
 cross-compiler for the armel architecture.

Package: gobjc++-arm-linux-gnueabihf
Priority: optional
Architecture: amd64 i386
Depends: cpp-arm-linux-gnueabihf (>= ${version:cpp}), gcc-arm-linux-gnueabihf (>= ${version:cpp}), gobjc++-${pv:gobjcxx}-arm-linux-gnueabihf ${reqv:gobjcxx}, ${misc:Depends}
Conflicts: gobjc++-4.4-arm-linux-gnueabihf (<= 4.4.5-15~), gobjc++-4.5-arm-linux-gnueabihf (<= 4.5.2-8~)
Recommends: g++-arm-linux-gnueabihf (>= ${version:cpp}), gobjc-arm-linux-gnueabihf (>= ${version:cpp})
Description: GNU Objective-C++ compiler for armel architecture
 This is the GNU Objective-C++ compiler, which compiles
 Objective-C++ on platforms supported by the gcc compiler. It uses the
 gcc backend to generate optimized code.
 .
 This is a dependency package providing the default GNU Objective-C++
 cross-compiler for the armel architecture.

Package: gfortran-arm-linux-gnueabihf
Priority: optional
Architecture: amd64 i386
Depends: cpp-arm-linux-gnueabihf (>= ${version:cpp}), gcc-arm-linux-gnueabihf (>= ${version:gcc}), gfortran-${pv:gfort}-arm-linux-gnueabihf ${reqv:gfort}, ${misc:Depends}
Conflicts: gfortran-4.4-arm-linux-gnueabihf (<= 4.4.5-15~), gfortran-4.5-arm-linux-gnueabihf (<= 4.5.2-8~)
Suggests: gfortran-doc
Description: GNU Fortran 95 compiler for armel architecture
 This is the GNU Fortran 95 compiler, which compiles Fortran 95 on platforms
 supported by the gcc compiler. It uses the gcc backend to generate optimized
 code.
 .
 This is a dependency package providing the default GNU Fortran 95
 cross-compiler for the armel architecture.

Package: gcc-arm-linux-gnueabihf
Priority: optional
Architecture: amd64 i386
Depends: cpp-arm-linux-gnueabihf (>= ${version:cpp}), gcc-${pv:gcc}-arm-linux-gnueabihf ${reqv:gcc}, ${misc:Depends}
Conflicts: gcc-4.4-arm-linux-gnueabihf (<= 4.4.5-15~), gcc-4.5-arm-linux-gnueabihf (<= 4.5.2-8~)
Recommends: libc6-dev-armel-cross | libc-dev-armel-cross
Suggests: make, manpages-dev, autoconf, automake1.9, libtool, flex, bison, gdb-arm-linux-gnueabihf, gcc-doc
Description: GNU C compiler for armel architecture
 This is the GNU C compiler, a fairly portable optimizing compiler for C.
 .
 This is a dependency package providing the default GNU C cross-compiler for the
 armel architecture.

Package: pkg-config-arm-linux-gnueabihf
Priority: optional
Architecture: amd64 i386
Depends: pkg-config (>= 0.25-1.1ubuntu2), ${misc:Depends}
Description: manage compile and link flags for libraries for armel architecture
 pkg-config is a system for managing library compile and link flags that
 works with automake and autoconf.
 .
 Increasingly libraries ship with ".pc" files that allow querying of the
 compiler and linker flags needed to use them through the pkg-config(1)
 program.
 .
 This is a dependency package providing cross pkg-config support for the
 armel architecture.
