=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #! /usr/bin/make -f
 
 # Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
+export DH_VERBOSE=1
 
-REL_NO	:= 8
-GCC_VER := 4.6.0
+REL_NO	:= 9
+GCC_VER := 4.6.1
 
 # minimum required gcc-X.Y versions
 REQV		:= (>= $(GCC_VER)-$(REL_NO))
@@ -25,7 +25,7 @@
 
 EPOCH=4
 distribution := $(shell lsb_release -is)
-all_packages    := g++-arm-linux-gnueabihf gfortran-arm-linux-gnueabihf gobjc-arm-linux-gnueabihf gobjc++-arm-linux-gnueabihf
+all_packages    := g++-arm-linux-gnueabihf gfortran-arm-linux-gnueabihf gobjc-arm-linux-gnueabihf gobjc++-arm-linux-gnueabihf pkg-config-arm-linux-gnueabihf
 no_packages	:=
 
 packages := $(filter-out $(no_packages), $(all_packages))
@@ -92,20 +92,26 @@
 
 nopkgs :=-s $(foreach p, $(no_packages),-N$(p))
 
-binary-indep:
+build-indep:
+
+binary-indep: build-indep
 	:
 
-binary-arch: build install
+build-arch: build install
+binary-arch: build-arch
 	dh_testdir
 	dh_testroot
 #	dh_installdebconf
 	dh_installdocs -pcpp-arm-linux-gnueabihf
-	for p in `dh_listpackages $(nopkgs) -Ncpp-arm-linux-gnueabihf`; do \
+	for p in `dh_listpackages $(nopkgs) -Ncpp-arm-linux-gnueabihf -Npkg-config-arm-linux-gnueabihf`; do \
 	  echo ln -sf cpp-arm-linux-gnueabihf debian/$$p/usr/share/doc/$$p; \
 	  mkdir -p debian/$$p/usr/share/doc; \
 	  rm -f debian/$$p/usr/share/doc/$$p; \
 	  ln -sf cpp-arm-linux-gnueabihf debian/$$p/usr/share/doc/$$p; \
 	done
+
+	dh_link -ppkg-config-arm-linux-gnueabihf \
+	   /usr/share/pkgconfig/pkg-config-crosswrapper /usr/bin/arm-linux-gnueabihf-pkg-config
 
 	dh_link -pcpp-arm-linux-gnueabihf \
           /usr/bin/arm-linux-gnueabihf-cpp-$(PV_CPP) /usr/bin/arm-linux-gnueabihf-cpp \
@@ -133,6 +139,7 @@
 	dh_installdeb -s $(nopkgs)
 	dh_gencontrol -pcpp-arm-linux-gnueabihf     -u-v$(EPOCH):$(CV_CPP)
 	dh_gencontrol -pgcc-arm-linux-gnueabihf     -u-v$(EPOCH):$(CV_GCC)
+	dh_gencontrol -ppkg-config-arm-linux-gnueabihf -u-v$(EPOCH):$(CV_GCC)
 ifneq (,$(filter g++-arm-linux-gnueabihf, $(packages)))
 	dh_gencontrol -pg++-arm-linux-gnueabihf     -u-v$(EPOCH):$(CV_GPP)
 endif
