## gcc-defaults-armhf-cross 1.8

=== debian/changelog ===
gcc-defaults-armhf-cross (1.8) precise; urgency=low

  * Fixed pkg-config wrappers symlink.
  * Wrote debian/control generator (copied from armel-cross-toolchain-base).
  * Bumped to 4.6.2-7 to get cross compiler from Ubuntu 'precise'.

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Wed, 14 Dec 2011 16:05:48 +0100
