## gcc-defaults-armhf-cross 1.9

=== debian/changelog ===
gcc-defaults-armhf-cross (1.9) quantal; urgency=low

  * switch to gcc 4.7
  * bumped standards-version to 3.9.3

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Tue, 12 Jun 2012 09:50:38 +0200

gcc-defaults-armhf-cross (1.5) natty; urgency=low

  * "Say good bye to update-alternatives" release - LP: #676454
    - components does not register into u-a anymore - selection of default
      version is now done by gcc-defaults-armhf-cross package.

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Fri, 15 Apr 2011 16:01:49 +0300

gcc-defaults-armhf-cross (1.4) natty; urgency=low

  * switch to gcc 4.5 by default
    - version selection is still done by compiler packages - see LP: 676454
  * dropped version from variable names
  * added code for use after 676454 will be solved - commented for now 

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Fri, 10 Dec 2010 16:53:15 +0100

gcc-defaults-armhf-cross (1.3) maverick; urgency=low

  * Made it amd64 i386 only. 

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Wed, 15 Sep 2010 11:27:42 +0200

gcc-defaults-armhf-cross (1.2) maverick; urgency=low

  * Dropped few more build dependencies.

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Thu, 02 Sep 2010 12:39:18 +0200

gcc-defaults-armhf-cross (1.1) maverick; urgency=low

  * Dropped dependency on gcc-4.4-arm-linux-gnueabi-base.

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Thu, 02 Sep 2010 12:33:36 +0200

gcc-defaults-armhf-cross (1.0) maverick; urgency=low

  * Initial release based on gcc-defaults 1.93ubuntu2 - closes LP: #600930.

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Thu, 02 Sep 2010 11:56:37 +0200
