## gcc-defaults-armhf-cross 1.13

=== debian/changelog ===
gcc-defaults-armhf-cross (1.13) raring; urgency=low

  * Bump the release number for the binary packages.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Dec 2012 11:49:38 +0100

gcc-defaults-armhf-cross (1.12) raring; urgency=low

  * ARM doesn't have gccgo multilib packages.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 09 Dec 2012 14:01:01 +0100

gcc-defaults-armhf-cross (1.11) raring; urgency=low

  * Build a gccgo package.
  * Depend on the -multilib cross packages. A hack to force these into
    the cross build environment.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 09 Dec 2012 13:48:58 +0100
