=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #! /usr/bin/make -f
 
 # Uncomment this to turn on verbose mode.
-export DH_VERBOSE=1
-
-REL_NO	:= 7
-GCC_VER := 4.6.2
+#export DH_VERBOSE=1
+
+REL_NO	:= 2
+GCC_VER := 4.7.2
 
 # minimum required gcc-X.Y versions
 REQV		:= (>= $(GCC_VER)-$(REL_NO))
@@ -15,6 +15,7 @@
 CV_GOBJC	:= $(GCC_VER)-$(REL_NO)
 CV_GOBJCXX	:= $(GCC_VER)-$(REL_NO)
 CV_GFORT	:= $(GCC_VER)-$(REL_NO)
+CV_GGO		:= $(GCC_VER)-$(REL_NO)
 
 REQV_CPP	= $(REQV)
 REQV_GCC	= $(REQV)
@@ -22,9 +23,17 @@
 REQV_GOBJC	= $(REQV)
 REQV_GOBJCXX	= $(REQV)
 REQV_GFORT	= $(REQV)
+REQV_GGO	= $(REQV)
 
 CROSS_ARCH       := $(shell dpkg-parsechangelog| sed -n 's/^Source: gcc-defaults-\(.*\)-cross/\1/p')
 CROSS_GNU_TYPE   := $(shell dpkg-architecture -a${CROSS_ARCH} -qDEB_HOST_GNU_TYPE -f)
+
+ifneq (,$(filter $(CROSS_ARCH),armel armhf amd64 i386 mips mipsel powerpc ppc64 s390 s390x sparc sparc64))
+  MULTILIB = -multilib
+endif
+ifneq (,$(filter $(CROSS_ARCH),amd64 i386 mips mipsel powerpc ppc64 s390 s390x sparc sparc64))
+  MULTIGOLIB = -multilib
+endif
 
 print:
 	@echo ${CROSS_ARCH}
@@ -32,7 +41,14 @@
 
 EPOCH=4
 distribution := $(shell lsb_release -is)
-all_packages    := g++-${CROSS_GNU_TYPE} gfortran-${CROSS_GNU_TYPE} gobjc-${CROSS_GNU_TYPE} gobjc++-${CROSS_GNU_TYPE} pkg-config-${CROSS_GNU_TYPE}
+all_packages    := \
+	g++-${CROSS_GNU_TYPE} \
+	gfortran-${CROSS_GNU_TYPE} \
+	gobjc-${CROSS_GNU_TYPE} \
+	gobjc++-${CROSS_GNU_TYPE} \
+	gccgo-${CROSS_GNU_TYPE} \
+	pkg-config-${CROSS_GNU_TYPE}
+
 no_packages	:=
 
 packages := $(filter-out $(no_packages), $(all_packages))
@@ -44,6 +60,7 @@
 V_GOBJC	:= $(shell echo $(CV_GOBJC) | sed 's/-[^-]*$$//')
 V_GOBJCXX	:= $(shell echo $(CV_GOBJCXX) | sed 's/-[^-]*$$//')
 V_GFORT	:= $(shell echo $(CV_GFORT) | sed 's/-[^-]*$$//')
+V_GGO	:= $(shell echo $(CV_GGO) | sed 's/-[^-]*$$//')
 
 # number for the package name
 PV_CPP	:= $(shell echo $(V_CPP)   | awk -F. '{printf "%d.%d", $$1, $$2}')
@@ -52,6 +69,7 @@
 PV_GOBJC:= $(shell echo $(V_GOBJC) | awk -F. '{printf "%d.%d", $$1, $$2}')
 PV_GOBJCXX:= $(shell echo $(V_GOBJCXX) | awk -F. '{printf "%d.%d", $$1, $$2}')
 PV_GFORT:= $(shell echo $(V_GFORT) | awk -F. '{printf "%d.%d", $$1, $$2}')
+PV_GGO	:= $(shell echo $(V_GGO) | awk -F. '{printf "%d.%d", $$1, $$2}')
 
 substvars:
 	( \
@@ -66,12 +84,14 @@
 	  echo 'pv:gobjc=$(PV_GOBJC)'; \
 	  echo 'pv:gobjcxx=$(PV_GOBJCXX)'; \
 	  echo 'pv:gfort=$(PV_GFORT)'; \
+	  echo 'pv:ggo=$(PV_GGO)'; \
 	  echo 'reqv:cpp=$(REQV_CPP)'; \
 	  echo 'reqv:gcc=$(REQV_GCC)'; \
 	  echo 'reqv:gpp=$(REQV_GPP)'; \
 	  echo 'reqv:gobjc=$(REQV_GOBJC)'; \
 	  echo 'reqv:gobjcxx=$(REQV_GOBJCXX)'; \
 	  echo 'reqv:gfort=$(REQV_GFORT)'; \
+	  echo 'reqv:ggo=$(REQV_GGO)'; \
 	) > debian/substvars.local
 
 build: build-stamp
@@ -87,6 +107,7 @@
 	rm -f debian/control.tmp*
 	rm -f debian/substvars.local
 	rm -rf *-${CROSS_GNU_TYPE}
+	rm -f *-stamp
 	dh_clean
 
 install: build substvars
@@ -105,8 +126,8 @@
 binary-indep: build-indep
 	:
 
-build-arch: build install
-binary-arch: build-arch
+build-arch: build
+binary-arch: build-arch install
 	dh_testdir
 	dh_testroot
 #	dh_installdebconf
@@ -138,6 +159,10 @@
 	dh_link -pgfortran-${CROSS_GNU_TYPE} \
           /usr/bin/${CROSS_GNU_TYPE}-gfortran-$(PV_GFORT) /usr/bin/${CROSS_GNU_TYPE}-gfortran \
           /usr/share/man/man1/${CROSS_GNU_TYPE}-gfortran-$(PV_GFORT).1.gz /usr/share/man/man1/${CROSS_GNU_TYPE}-gfortran.1.gz 
+
+	dh_link -pgccgo-${CROSS_GNU_TYPE} \
+          /usr/bin/${CROSS_GNU_TYPE}-gccgo-$(PV_GGO) /usr/bin/${CROSS_GNU_TYPE}-gccgo \
+          /usr/share/man/man1/${CROSS_GNU_TYPE}-gccgo-$(PV_GGO).1.gz /usr/share/man/man1/${CROSS_GNU_TYPE}-gccgo.1.gz
 
 	dh_installchangelogs -pcpp-${CROSS_GNU_TYPE}
 	mv debian/cpp-${CROSS_GNU_TYPE}/usr/share/doc/cpp-${CROSS_GNU_TYPE}/changelog \
@@ -160,6 +185,9 @@
 ifneq (,$(filter gfortran-${CROSS_GNU_TYPE}, $(packages)))
 	dh_gencontrol -pgfortran-${CROSS_GNU_TYPE}     -u-v$(EPOCH):$(CV_GFORT)
 endif
+ifneq (,$(filter gccgo-${CROSS_GNU_TYPE}, $(packages)))
+	dh_gencontrol -pgccgo-${CROSS_GNU_TYPE}     -u-v$(EPOCH):$(CV_GGO)
+endif
 	dh_md5sums -s $(nopkgs)
 	dh_builddeb -s $(nopkgs)
 
@@ -167,8 +195,11 @@
 .PHONY: build clean binary-indep binary-arch binary install
 
 control:
-	@sed -e "s/CROSS_ARCH/${CROSS_ARCH}/g" \
+	sed -e "s/CROSS_ARCH/${CROSS_ARCH}/g" \
 	    -e "s/CROSS_GNU_TYPE/${CROSS_GNU_TYPE}/g" \
+	    -e "s/CROSS_GNU_TYPE/${CROSS_GNU_TYPE}/g" \
+	    -e "s/MULTILIB/${MULTILIB}/g" \
+	    -e "s/MULTIGOLIB/${MULTIGOLIB}/g" \
 	    -e "s/MIN_VER_EGLIBC/${MIN_VER_EGLIBC}/g" \
 	    -e "s/MIN_VER_LINUX/${MIN_VER_LINUX}/g" \
 	    -e "s/VER_LINUX/${VER_LINUX}/g" \
