## gcc-defaults-armhf-cross 1.14

=== debian/changelog ===
gcc-defaults-armhf-cross (1.14) saucy; urgency=low

  * Bump default GCC version to 4.8 to match native compilers.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 27 Apr 2013 12:06:33 -0600
