=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
 Package: g++-arm-linux-gnueabihf
 Priority: optional
 Architecture: amd64 i386
-Depends: cpp-arm-linux-gnueabihf (>= ${version:cpp}), gcc-arm-linux-gnueabihf (>= ${version:cpp}), g++-${pv:gpp}-arm-linux-gnueabihf ${reqv:gpp}, gcc-${pv:gpp}-arm-linux-gnueabihf ${reqv:gpp}, ${misc:Depends}
+Depends: cpp-arm-linux-gnueabihf (>= ${version:cpp}), gcc-arm-linux-gnueabihf (>= ${version:cpp}), g++-${pv:gpp}-multilib-arm-linux-gnueabihf ${reqv:gpp}, gcc-${pv:gpp}-multilib-arm-linux-gnueabihf ${reqv:gpp}, ${misc:Depends}
 Conflicts: g++-4.4-arm-linux-gnueabihf (<= 4.4.5-15~), g++-4.5-arm-linux-gnueabihf (<= 4.5.2-8~)
 Description: The GNU C++ compiler for armhf architecture
  This is the GNU C++ compiler, a fairly portable optimizing compiler for C++.
@@ -38,7 +38,7 @@
 Package: gobjc-arm-linux-gnueabihf
 Priority: optional
 Architecture: amd64 i386
-Depends: cpp-arm-linux-gnueabihf (>= ${version:cpp}), gcc-arm-linux-gnueabihf (>= ${version:cpp}), gobjc-${pv:gobjc}-arm-linux-gnueabihf ${reqv:gobjc}, ${misc:Depends}
+Depends: cpp-arm-linux-gnueabihf (>= ${version:cpp}), gcc-arm-linux-gnueabihf (>= ${version:cpp}), gobjc-${pv:gobjc}-multilib-arm-linux-gnueabihf ${reqv:gobjc}, ${misc:Depends}
 Conflicts: gobjc-4.4-arm-linux-gnueabihf (<= 4.4.5-15~), gobjc-4.5-arm-linux-gnueabihf (<= 4.5.2-8~)
 Description: The GNU Objective-C compiler for armhf architecture
  This is the GNU Objective-C compiler, which compiles Objective-C on platforms
@@ -51,7 +51,7 @@
 Package: gobjc++-arm-linux-gnueabihf
 Priority: optional
 Architecture: amd64 i386
-Depends: cpp-arm-linux-gnueabihf (>= ${version:cpp}), gcc-arm-linux-gnueabihf (>= ${version:cpp}), gobjc++-${pv:gobjcxx}-arm-linux-gnueabihf ${reqv:gobjcxx}, ${misc:Depends}
+Depends: cpp-arm-linux-gnueabihf (>= ${version:cpp}), gcc-arm-linux-gnueabihf (>= ${version:cpp}), gobjc++-${pv:gobjcxx}-multilib-arm-linux-gnueabihf ${reqv:gobjcxx}, ${misc:Depends}
 Conflicts: gobjc++-4.4-arm-linux-gnueabihf (<= 4.4.5-15~), gobjc++-4.5-arm-linux-gnueabihf (<= 4.5.2-8~)
 Recommends: g++-arm-linux-gnueabihf (>= ${version:cpp}), gobjc-arm-linux-gnueabihf (>= ${version:cpp})
 Description: The GNU Objective-C++ compiler for armhf architecture
@@ -65,7 +65,7 @@
 Package: gfortran-arm-linux-gnueabihf
 Priority: optional
 Architecture: amd64 i386
-Depends: cpp-arm-linux-gnueabihf (>= ${version:cpp}), gcc-arm-linux-gnueabihf (>= ${version:gcc}), gfortran-${pv:gfort}-arm-linux-gnueabihf ${reqv:gfort}, ${misc:Depends}
+Depends: cpp-arm-linux-gnueabihf (>= ${version:cpp}), gcc-arm-linux-gnueabihf (>= ${version:gcc}), gfortran-${pv:gfort}-multilib-arm-linux-gnueabihf ${reqv:gfort}, ${misc:Depends}
 Conflicts: gfortran-4.4-arm-linux-gnueabihf (<= 4.4.5-15~), gfortran-4.5-arm-linux-gnueabihf (<= 4.5.2-8~)
 Suggests: gfortran-doc
 Description: The GNU Fortran 95 compiler for armhf architecture
@@ -76,10 +76,22 @@
  This is a dependency package providing the default GNU Fortran 95
  cross-compiler for armhf architecture.
 
+Package: gccgo-arm-linux-gnueabihf
+Priority: optional
+Architecture: amd64 i386
+Depends: cpp-arm-linux-gnueabihf (>= ${version:cpp}), g++-arm-linux-gnueabihf (>= ${version:gcc}), gccgo-${pv:ggo}-arm-linux-gnueabihf ${reqv:ggo}, ${misc:Depends}
+Suggests: gccgo-doc
+Description: Go compiler, based on the GCC backend
+ This is the GNU Go compiler, which compiles Go on platforms supported by
+ the gcc compiler. It uses the gcc backend to generate optimized code.
+ .
+ This is a dependency package providing the default GNU Go cross-compiler
+ cross-compiler for the armhf architecture.
+
 Package: gcc-arm-linux-gnueabihf
 Priority: optional
 Architecture: amd64 i386
-Depends: cpp-arm-linux-gnueabihf (>= ${version:cpp}), gcc-${pv:gcc}-arm-linux-gnueabihf ${reqv:gcc}, ${misc:Depends}
+Depends: cpp-arm-linux-gnueabihf (>= ${version:cpp}), gcc-${pv:gcc}-multilib-arm-linux-gnueabihf ${reqv:gcc}, ${misc:Depends}
 Conflicts: gcc-4.4-arm-linux-gnueabihf (<= 4.4.5-15~), gcc-4.5-arm-linux-gnueabihf (<= 4.5.2-8~)
 Recommends: libc6-dev-armhf-cross | libc-dev-armhf-cross
 Suggests: make, manpages-dev, autoconf, automake1.9, libtool, flex, bison, gdb-arm-linux-gnueabihf, gcc-doc
